<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2008 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################

$pag = "modifica_costi.php";
$titolo = "Pagina di modifica costi";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
include("./includes/funzioni_costi_agg.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableanni = $PHPR_TAB_PRE."anni";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_periodi = substr($priv_vedi_tab,3,1);
$tariffe_consentite = risul_query($privilegi_annuali_utente,0,tariffe_consentite);
$attiva_tariffe_consentite = substr($tariffe_consentite,0,1);
if ($attiva_tariffe_consentite == "s") {
$tariffe_consentite = explode(",",substr($tariffe_consentite,2));
unset($tariffe_consentite_vett);
for ($num1 = 0 ; $num1 < count($tariffe_consentite) ; $num1++) if ($tariffe_consentite[$num1]) $tariffe_consentite_vett[$tariffe_consentite[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite == "s")
$costi_agg_consentiti = risul_query($privilegi_annuali_utente,0,costi_agg_consentiti);
$attiva_costi_agg_consentiti = substr($costi_agg_consentiti,0,1);
if ($attiva_costi_agg_consentiti == "s") {
$costi_agg_consentiti = explode(",",substr($costi_agg_consentiti,2));
unset($costi_agg_consentiti_vett);
for ($num1 = 0 ; $num1 < count($costi_agg_consentiti) ; $num1++) if ($costi_agg_consentiti[$num1]) $costi_agg_consentiti_vett[$costi_agg_consentiti[$num1]] = "SI";
} # fine if ($attiva_costi_agg_consentiti == "s")
$priv_ins_tariffe = risul_query($privilegi_annuali_utente,0,"priv_ins_tariffe");
$priv_mod_costi_agg = substr($priv_ins_tariffe,2,1);
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$priv_vedi_tab_periodi = "s";
$attiva_tariffe_consentite = "n";
$attiva_costi_agg_consentiti = "n";
$priv_mod_costi_agg = "s";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI" and $priv_mod_costi_agg != "n") {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$Euro = nome_valuta();
$stile_soldi = stile_soldi();
$stile_data = stile_data();

$tabelle_lock = array("$tablenometariffe");
$altre_tab_lock = array("$tableperiodi");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
$dati_ca = dati_costi_agg_ntariffe ($tablenometariffe,$numero_tariffe);


$num_costo = (string) $dati_ca[id][$idntariffe];
if ($attiva_costi_agg_consentiti != "n" and $costi_agg_consentiti_vett[$idntariffe] != "SI") $num_costo = "";
if ($num_costo != "") {



if ($modifica_costo) {
$mostra_form_iniziale = "NO";

if (get_magic_quotes_gpc($n_nome)) $n_nome = (string) stripslashes($n_nome);
if ($n_nome != "") $nomecostoagg = (string) htmlspecialchars($n_nome);
else $nomecostoagg = (string) $dati_ca[$num_costo][nome];
$nomecostoagg = str_replace("#?&","",$nomecostoagg);
$nomecostoagg = str_replace("#@&","",$nomecostoagg);
if (!$nomecostoagg) {
$messaggio_errore = mex("Si deve inserire il nome del costo aggiuntivo",$pag).".<br>";
$errore = "SI";
} # fine if (!$nomecostoagg)
if ($tipo_ca != "u" and $tipo_ca != "s") $errore = "SI";
if ($errore != "SI" and (($n_nome != "" and $n_nome != $dati_ca[$num_costo][nome]) or $tipo_ca != $dati_ca[$num_costo][tipo])) {
$esiste_costo = esegui_query("select idntariffe from $tablenometariffe where nomecostoagg = '".aggslashdb($nomecostoagg)."' and tipo_ca $LIKE '".$tipo_ca."_'");
if (numlin_query($esiste_costo) > 0) {
$messaggio_errore = mex("Costo aggiuntivo già esistente",$pag).".<br>";
$errore = "SI";
} # fine if (numlin_query($esiste_costo) > 0)
} # fine if ($errore != "SI" and...

if ($tipo_valore_ca != "f" and $tipo_valore_ca != "p") $errore = "SI";
$valore_f_ca = formatta_soldi($valore_f_ca);
$valore_p_ca = formatta_soldi($valore_p_ca);
$arrotonda_ca = formatta_soldi($arrotonda_ca);
if ($tipo_valore_ca == "f" and ($valore_f_ca == "" or controlla_soldi($valore_f_ca) == "NO")) $errore = "SI";
if ($tipo_valore_ca == "p" and ($valore_p_ca == "" or controlla_soldi($valore_p_ca) == "NO" or $arrotonda_ca == "" or controlla_soldi($arrotonda_ca,"SI") == "NO")) $errore = "SI";
if ($tipo_valore_ca == "p" and $tipo_percentuale != "tariffa" and $tipo_percentuale != "totale" and $tipo_percentuale != "caparra" and $tipo_percentuale != "resto") $errore = "SI";
if ($tipo_valore_ca == "p" and $tipo_ca == "s" and $tipo_percentuale != "tariffa") $errore = "SI";

if ($tipo_ca != "s") $associasett = "";
if ($tipo_ca == "s" and $associasett == "") $errore = "SI";
if ($tipo_valore_ca == "p" and $associasett == "n") $errore = "SI";
if ($associasett != "" and $associasett != "n" and $associasett != "s") $errore = "SI";
$associa_tariffe = "n";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
if (${"sel".$tariffa} != "" and ${"sel".$tariffa} != "s") $errore = "SI";
if (${"minmax".$tariffa} != "" and ${"minmax".$tariffa} != "min" and ${"minmax".$tariffa} != "max" and ${"minmax".$tariffa} != "eq") $errore = "SI";
if (${"valminmax".$tariffa} and (controlla_num_pos(${"valminmax".$tariffa}) == "NO" or ${"valminmax".$tariffa} == 0)) $errore = "SI";
if (${"sel".$tariffa} and ${"minmax".$tariffa} and !${"valminmax".$tariffa}) $errore = "SI";
if (${"sel".$tariffa} == "s" and ${"tipo_associa_".$tariffa} != "p" and ${"tipo_associa_".$tariffa} != "r" and ${"tipo_associa_".$tariffa} != "s") $errore = "SI";
if (${"sel".$tariffa} == "s") $associa_tariffe = "s";
} # fine if ($attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
if ($assegna_da_giorno_ini != "s") $assegna_da_giorno_ini = "";
if ($assegna_da_giorno_ini == "s" and $ass_gio_ini_segno != "meno" and $ass_gio_ini_segno != "piu") $errore = "SI";
if ($assegna_da_giorno_ini == "s" and (!$ass_gio_ini_num or controlla_num_pos($ass_gio_ini_num) == "NO")) $errore = "SI";
if ($assegna_prenota_contemp != "s") $assegna_prenota_contemp = "";
if ($assegna_prenota_contemp == "s" and (!$ass_pren_cont_num or controlla_num_pos($ass_pren_cont_num) == "NO")) $errore = "SI";

if ($tipo_ca == "s") {
if ($numsett_ca != "t" and $numsett_ca != "m" and $numsett_ca != "c" and $numsett_ca != "s" and $numsett_ca != "n" and $numsett_ca != "g") $errore = "SI";
if ($tipo_periodi != "g" and $numsett_ca == "g") $errore = "SI";
if ($tipo_valore_ca != "p" and $associasett != "s") $pos_menouna = "";
if (($pos_menouna != "p" and $pos_menouna != "u") and ($tipo_valore_ca == "p" or $associasett == "s")) $errore = "SI";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $numsett_ca == "c") $errore = "SI";
if ($associasett != "s" and ($numsett_ca == "s" or $numsett_ca == "n" or $numsett_ca == "g")) $errore = "SI";
if ($numsett_ca == "s") {
if (controlla_num_pos($val1_prime_si) == "NO" or $val1_prime_si ==  0) $errore = "SI";
if (controlla_num_pos($val2_prime_si) == "NO" or $val2_prime_si ==  0) $errore = "SI";
} # fine if ($numsett_ca == "s")
if ($numsett_ca == "n") {
if (controlla_num_pos($val1_prime_no) == "NO" or $val1_prime_no ==  0) $errore = "SI";
if (controlla_num_pos($val2_prime_no) == "NO" or $val2_prime_no ==  0) $errore = "SI";
} # fine if ($numsett_ca == "n")
if ($lun_sel != "" and $lun_sel != "s") $errore = "SI";
if ($mar_sel != "" and $mar_sel != "s") $errore = "SI";
if ($mer_sel != "" and $mer_sel != "s") $errore = "SI";
if ($gio_sel != "" and $gio_sel != "s") $errore = "SI";
if ($ven_sel != "" and $ven_sel != "s") $errore = "SI";
if ($sab_sel != "" and $sab_sel != "s") $errore = "SI";
if ($dom_sel != "" and $dom_sel != "s") $errore = "SI";
} # fine if ($tipo_ca == "s")
else $numsett_ca = "";

if ($moltiplica_ca != "1" and $moltiplica_ca != "c" and $moltiplica_ca != "p" and $moltiplica_ca != "t") $errore = "SI";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $moltiplica_ca == "c") $errore = "SI";

if ($periodi_permessi != "tutti" and $periodi_permessi != "sel") $errore = "SI";
if ($periodi_permessi == "sel") {
if (controlla_num_pos($num_periodi_permessi_sel) == "NO" or $num_periodi_permessi_sel == 0) $errore = "SI";
else {
$file_date_int = implode("",file("./dati/selectperiodi$anno.1.php"));
$ultima_data = 0;
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
if (str_replace("\\\"".${"pp_dal".$num1}."\\\">","",$file_date_int) == $file_date_int) $errore = "SI";
if (str_replace("\\\"".${"pp_al".$num1}."\\\">","",$file_date_int) == $file_date_int) $errore = "SI";
$nuova_ultima_data = str_replace("-","",${"pp_dal".$num1});
if ($nuova_ultima_data <= $ultima_data) $errore = "SI";
else $ultima_data = $nuova_ultima_data;
$nuova_ultima_data = str_replace("-","",${"pp_al".$num1});
if ($nuova_ultima_data <= $ultima_data) $errore = "SI";
else $ultima_data = $nuova_ultima_data;
} # fine for $num1
} # fine else if (controlla_num_pos($num_periodi_permessi_sel) == "NO" or...
} # fine if ($periodi_permessi == "sel")
if ($tipo_pp != "t" and $tipo_pp != "u" and $tipo_pp != "p") $errore = "SI";
if ($tipo_ca != "s" and $tipo_pp == "p") $errore = "SI";

$tariffe_incompatibili = "NO";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
if (${"incomp_".$tariffa} != "" and ${"incomp_".$tariffa} != "i") $errore = "SI";
if ((${"sel".$tariffa} == "s" and $associa_tariffe != "n") and ${"incomp_".$tariffa} != "") $errore = "SI";
if (${"incomp_".$tariffa} == "i") $tariffe_incompatibili = "SI";
} # fine if ($attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa

if ($mantenere_percentuale != "s" or $tipo_valore_ca != "p") $mantenere_percentuale = "n";
if (($mantenere_percentuale == "n" and $tipo_valore_ca == "p") and ($tipo_ca == "s" and $numsett_ca != "c")) $mantenere_numsett = "n";
if ($mantenere_numsett != "s" or ($tipo_ca != "s" or $numsett_ca == "c")) $mantenere_numsett = "n";
if (($mantenere_percentuale == "n" and $tipo_valore_ca == "p") and ($moltiplica_ca != "c" and $moltiplica_ca != "1")) $mantenere_moltiplica = "n";
if ($mantenere_moltiplica != "s" or $moltiplica_ca == "c") $mantenere_moltiplica = "n";
if ($mantenere_periodip != "s" or $periodi_permessi == "tutti") $mantenere_periodip = "n";
if ($mantenere_tariffea != "s" or $associa_tariffe == "n") $mantenere_tariffea = "n";
if ($mantenere_tariffei != "s" or $tariffe_incompatibili != "SI") $mantenere_tariffei = "n";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $mostra_ca != "n") { $errore = "SI"; $messaggio_errore .= "".mex("Non si può <b style=\"font-weight: normal; color: red;\">contemporaneamente</b> mostrare il costo nella pagina di inserimento delle prenotazioni ed assegnarlo automaticamente con una tariffa",$pag).".<br>"; }
if (($associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp) and $mostra_ca != "s" and $mostra_ca != "n") $errore = "SI";
if ($letto_ca != "n" and $letto_ca != "s") $errore = "SI";
if ($letto_ca != "n" and ($moltiplica_ca == "p" or $moltiplica_ca == "t" or ($tipo_valore_ca == "p" and $tipo_percentuale != "tariffa"))) $errore = "SI";
if ($limite_ca != "n" and $limite_ca != "s") $errore = "SI";
if ($limite_ca != "n" and ($tipo_ca == "s" and $associasett != "s" and ($numsett_ca != "t" or ($periodi_permessi != "tutti" and $tipo_pp == "pp")))) $errore = "SI";
if ($limite_ca == "s" and (controlla_num_pos($numlimite_ca) == "NO" or $numlimite_ca == 0)) $errore = "SI";


if ($errore != "SI") {

$modificato = "NO";
if ($nomecostoagg != $dati_ca[$num_costo][nome]) {
$nomecostoagg = aggslashdb($nomecostoagg);
esegui_query("update $tablenometariffe set nomecostoagg = '$nomecostoagg' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($nomecostoagg != $dati_ca[$num_costo][nome])
if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale") $tipo_valore_ca = "t";
if ($tipo_valore_ca == "p" and $tipo_percentuale == "caparra") $tipo_valore_ca = "c";
if ($tipo_valore_ca == "p" and $tipo_percentuale == "resto") $tipo_valore_ca = "r";
if ($tipo_ca != $dati_ca[$num_costo][tipo] or $tipo_valore_ca != $dati_ca[$num_costo][tipo_val]) {
esegui_query("update $tablenometariffe set tipo_ca = '$tipo_ca$tipo_valore_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($tipo_ca != $dati_ca[$num_costo][tipo] or $tipo_valore_ca != $dati_ca[$num_costo][tipo])
if ($tipo_valore_ca == "f") $valore_ca = $valore_f_ca;
else $valore_ca = $valore_p_ca;
$valore_ca = formatta_soldi($valore_ca);
if ($valore_ca != $dati_ca[$num_costo][valore]) {
esegui_query("update $tablenometariffe set valore_ca = '$valore_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($valore_ca != $dati_ca[$num_costo][valore])
if ($moltiplica_ca != $dati_ca[$num_costo][moltiplica]) {
esegui_query("update $tablenometariffe set moltiplica_ca = '$moltiplica_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($moltiplica_ca != $dati_ca[$num_costo][moltiplica])
$variazione_ca = $mantenere_percentuale.$mantenere_numsett.$mantenere_moltiplica.$mantenere_periodip.$mantenere_tariffea.$mantenere_tariffei;
if ($variazione_ca != $dati_ca[$num_costo][var_percentuale].$dati_ca[$num_costo][var_numsett].$dati_ca[$num_costo][var_moltiplica].$dati_ca[$num_costo][var_periodip].$dati_ca[$num_costo][var_tariffea].$dati_ca[$num_costo][var_tariffei]) {
esegui_query("update $tablenometariffe set variazione_ca = '$variazione_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($variazione_ca != $dati_ca[$num_costo][var_percentuale].$dati_ca[$num_costo][var_numsett].$dati_ca[$num_costo][var_moltiplica].$dati_ca[$num_costo][var_periodip].$dati_ca[$num_costo][var_tariffea].$dati_ca[$num_costo][var_tariffei])
if ($mostra_ca != $dati_ca[$num_costo][mostra]) {
esegui_query("update $tablenometariffe set mostra_ca = '$mostra_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($mostra_ca != $dati_ca[$num_costo][mostra])
if ($letto_ca != $dati_ca[$num_costo][letto]) {
esegui_query("update $tablenometariffe set letto_ca = '$letto_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($letto_ca != $dati_ca[$num_costo][letto])
$arrotonda_ca = formatta_soldi($arrotonda_ca);
if ($tipo_valore_ca != "f" and $arrotonda_ca != $dati_ca[$num_costo][arrotonda]) {
esegui_query("update $tablenometariffe set arrotonda_ca = '$arrotonda_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($tipo_valore_ca != "f" and $arrotonda_ca != $dati_ca[$num_costo][arrotonda])
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
if (${"sel".$tariffa} == "s") {
$valtariffa = "s";
if (${"minmax".$tariffa} != "") {
if (${"minmax".$tariffa} == "min") $valtariffa = ">";
if (${"minmax".$tariffa} == "max") $valtariffa = "<";
if (${"minmax".$tariffa} == "eq") $valtariffa = "=";
$valtariffa .= ${"valminmax".$tariffa};
} # fine if (${"minmax".$tariffa} != "")
$valtariffa = ${"tipo_associa_".$tariffa}.$valtariffa;
} # fine if (${"sel".$tariffa} == "s")
else {
$valtariffa = "";
if (${"incomp_".$tariffa} == "i") $valtariffa = "i";
} # fine else if (${"sel".$tariffa} == "s")
$valtariffa_prec = $dati_ca[$num_costo]["tipo_associa_".$tariffa].$dati_ca[$num_costo][$tariffa];
if ($dati_ca[$num_costo]["incomp_".$tariffa]) $valtariffa_prec = "i";
if ($valtariffa != $valtariffa_prec) {
esegui_query("update $tablenometariffe set $tariffa = '$valtariffa' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($valtariffa != $valtariffa_prec)
} # fine if ($attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
$regoleassegna_ca = "";
if ($assegna_da_giorno_ini) {
if ($ass_gio_ini_segno == "piu") $regoleassegna_ca .= ">".$ass_gio_ini_num;
else $regoleassegna_ca .= "<".$ass_gio_ini_num;
} # fine if ($assegna_da_giorno_ini)
$regoleassegna_ca .= ";";
if ($assegna_prenota_contemp) $regoleassegna_ca .= $ass_pren_cont_num;
if ($regoleassegna_ca != $dati_ca[$num_costo][assegna_da_ini_prenota].";".$dati_ca[$num_costo][assegna_con_num_prenota]) {
esegui_query("update $tablenometariffe set regoleassegna_ca = '$regoleassegna_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($regoleassegna_ca != $dati_ca[$num_costo][assegna_da_ini_prenota].";".$dati_ca[$num_costo][assegna_con_num_prenota])
if ($associasett != $dati_ca[$num_costo][associasett]) {
esegui_query("update $tablenometariffe set associasett_ca = '$associasett' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($associasett != $dati_ca[$num_costo][associasett])
$valnumsett_ca = $numsett_ca;
if ($numsett_ca == "m" and $pos_menouna != "") $valnumsett_ca .= $pos_menouna;
if ($numsett_ca == "s") $valnumsett_ca .= $val1_prime_si.",".$val2_prime_si;
if ($numsett_ca == "n") $valnumsett_ca .= $val1_prime_no.",".$val2_prime_no;
if ($numsett_ca == "g") {
$giorni_sel = "";
if ($lun_sel == "s") $giorni_sel .= ",1";
if ($mar_sel == "s") $giorni_sel .= ",2";
if ($mer_sel == "s") $giorni_sel .= ",3";
if ($gio_sel == "s") $giorni_sel .= ",4";
if ($ven_sel == "s") $giorni_sel .= ",5";
if ($sab_sel == "s") $giorni_sel .= ",6";
if ($dom_sel == "s") $giorni_sel .= ",7";
if ($giorni_sel) $giorni_sel = substr($giorni_sel,1);
$valnumsett_ca .= $giorni_sel;
} # fine if ($numsett_ca == "g")
if ($valnumsett_ca != $dati_ca[$num_costo][numsett_orig]) {
esegui_query("update $tablenometariffe set numsett_ca = '$valnumsett_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($valnumsett_ca != $dati_ca[$num_costo][numsett_orig])
$periodipermessi_ca = "";
if ($periodi_permessi == "sel") {
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '".${"pp_dal".$num1}."' ");
$idinizioperiodo = risul_query($idinizioperiodo,0,idperiodi);
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '".${"pp_al".$num1}."' ");
$idfineperiodo = risul_query($idfineperiodo,0,idperiodi);
$periodipermessi_ca .= ",".$idinizioperiodo."-".$idfineperiodo;
} # fine for $num1
$periodipermessi_ca = $tipo_pp.substr($periodipermessi_ca,1);
} # fine if ($periodi_permessi == "sel")
if ($periodipermessi_ca != $dati_ca[$num_costo][periodipermessi_orig]) {
esegui_query("update $tablenometariffe set periodipermessi_ca = '$periodipermessi_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($periodipermessi_ca != $dati_ca[$num_costo][periodipermessi_orig])
if ($limite_ca != "s") $numlimite_ca = "";
if (!$dati_ca[$num_costo][numlimite]) $dati_ca[$num_costo][numlimite] = "";
if ($numlimite_ca != $dati_ca[$num_costo][numlimite]) {
esegui_query("update $tablenometariffe set numlimite_ca = '$numlimite_ca' where idntariffe = '$idntariffe'");
$modificato = "SI";
} # fine if ($numlimite_ca != $dati_ca[$num_costo][numlimite])

if ($modificato == "SI") echo mex("Il costo aggiuntivo",$pag)." $idntariffe ".mex("è stato modificato",$pag).".<br><br>";
else echo mex("Niente da modificare",$pag).".<br><br>";
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"$pag\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"idntariffe\" value=\"$idntariffe\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";

} # fine if ($errore != "SI")

else {
if ($messaggio_errore) echo $messaggio_errore;
else echo mex("I valori inseriti sono <div style=\"display: inline; color: red;\">errati</div> o incongruenti",$pag).".<br>";
echo "<br><div style=\"text-align: center;\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_costi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idntariffe\" value=\"$idntariffe\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
<br></div></form></div>";
} # fine else if ($errore != "SI")

} # fine if ($modifica_costo)
unlock_tabelle($tabelle_lock);

if ($modifica_costo and $errore != "SI") {
$file_interconnessioni = "./dati/dati_interconnessioni.php";
if (@is_file($file_interconnessioni)) {
include($file_interconnessioni);
if (@is_array($ic_present)) {
$interconn_dir = opendir("./includes/interconnect/");
while ($mod_ext = readdir($interconn_dir)) {
if ($mod_ext != "." and $mod_ext != ".." and @is_dir("./includes/interconnect/$mod_ext")) {
include("./includes/interconnect/$mod_ext/name.php");
if ($ic_present[$interconnection_name] == "SI") {
$funz_update_rates = "update_rates_".$interconnection_name;
if (!function_exists($funz_update_rates)) include("./includes/interconnect/$mod_ext/functions.php");
$funz_update_rates($file_interconnessioni,$anno,$PHPR_TAB_PRE,1);
} # fine if ($ic_present[$interconnection_name] == "SI")
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($mod_ext = readdir($interconn_dir))
closedir($interconn_dir);
} # fine if (@is_array($ic_present))
} # fine if (@is_file($file_interconnessioni))
} # fine if ($modifica_costo and $errore != "SI")



if ($mostra_form_iniziale != "NO") {

echo "<h3>".mex("Modifica il costo aggiuntivo",$pag)." $idntariffe.</h3>";

$d_nome = $dati_ca[$num_costo][nome];
if ($dati_ca[$num_costo][mostra] == "n") $selected_mostra_no = " selected";
if ($dati_ca[$num_costo][mostra] == "s") $selected_mostra_si = " selected";
if ($dati_ca[$num_costo][tipo] == "u") { $checked_uni = " checked"; $b_uni = "<b>"; $slash_b_uni = "</b>"; }
if ($dati_ca[$num_costo][tipo] == "s") { $checked_set = " checked"; $b_set = "<b>"; $slash_b_set = "</b>"; }
if ($dati_ca[$num_costo][tipo_val] == "f") {
$d_prezzo_fisso = $dati_ca[$num_costo][valore];
$checked_fiss = " checked";
$b_fiss = "<b>";
$slash_b_fiss = "</b>";
} # fine if ($dati_ca[$num_costo][tipo_val] == "f")
else {
$d_tipo_percentuale = $dati_ca[$num_costo][tipo_val];
$d_prezzo_percentuale = $dati_ca[$num_costo][valore];
$d_arrotond = $dati_ca[$num_costo][arrotonda];
$checked_perc = " checked";
$b_perc = "<b>";
$slash_b_perc = "</b>";
} # fine else if ($dati_ca[$num_costo][tipo_val] == "f")
if ($d_prezzo_settimanale != "") {
$d_tipo_costo = "settimanale";
$d_prezzo_costo = $d_prezzo_settimanale;
$checked_set = " checked";
$b_set = "<b>";
$slash_b_set = "</b>";
$d_regolad = substr($d_regole,3,1);
if ($d_regolab == "t") {
$checked_tutte_sett = " checked";
$b_tutte_sett = "<b>";
$slash_b_tutte_sett = "</b>";
} # fine if ($d_regolab == "t")
if ($d_regolab == "m") {
$checked_meno_una_sett = " checked";
$b_meno_una_sett = "<b>";
$slash_b_meno_una_sett = "</b>";
} # fine if ($d_regolab == "m")
if ($d_regolab == "c") {
$checked_chiedi_sett = " checked";
$b_chiedi_sett = "<b>";
$slash_b_chiedi_sett = "</b>";
} # fine if ($d_regolab == "c")
if ($d_regolac == "s") $selected_chiedi_moltiplica_si = " selected";
else $selected_chiedi_moltiplica_no = " selected";
if ($d_regolad == "s") $selected_considera_letto_si = " selected";
else $selected_considera_letto_no = " selected";
} # fine if ($d_prezzo_settimanale != "")
else {
$checked_tutte_sett = " checked";
if ($d_regolab == "s") $selected_chiedi_moltiplica_si = " selected";
else $selected_chiedi_moltiplica_no = " selected";
if ($d_regolac == "s") $selected_considera_letto_si = " selected";
else $selected_considera_letto_no = " selected";
} # fine else if ($d_prezzo_settimanale != "")
/*
$d_tariffe_abbinate = "";
$d_tariffa_abbinata = "";
for ($numtariffa = 1 ; $numtariffa <= ($numero_tariffe-1000) ; $numtariffa = $numtariffa + 1) {
$tariffa = "tariffa".$numtariffa;
if (risul_query($costo_agg,0,$tariffa) == "1") {
$d_tariffe_abbinate .= "$numtariffa,";
$d_tariffa_abbinata[$numtariffa] = "SI";
} # fine if (risul_query($costo_agg,0,$tariffa) == "1")
} # fine for $numtariffa
if ($d_tariffe_abbinate) $d_tariffe_abbinate = substr($d_tariffe_abbinate,0,-1);
*/

echo "<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_costi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idntariffe\" value=\"$idntariffe\">
<table cellspacing=2 cellpadding=5>
<tr><td>".mex("Nome",$pag).": <b>".$dati_ca[$num_costo][nome]."</b></td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_nome\" size=\"25\"></td></tr>
<tr><td valign=\"top\">".mex("Tipo",$pag).":</td>
<td><input type=\"radio\" name=\"tipo_ca\" value=\"u\"$checked_uni>$b_uni".mex("unico",$pag)."$slash_b_uni<br>
<input type=\"radio\" name=\"tipo_ca\" value=\"s\"$checked_set>$b_set".mex("$parola_settimanale",$pag)."$slash_b_set
</td></tr>
<tr><td valign=\"top\">".mex("Prezzo",$pag).":</td>
<td><input type=\"radio\" name=\"tipo_valore_ca\" value=\"f\"$checked_fiss>$b_fiss".mex("fisso",$pag)."$slash_b_fiss:
<input type=\"text\" name=\"valore_f_ca\" size=\"10\" value=\"$d_prezzo_fisso\">$Euro<br>
<input type=\"radio\" name=\"tipo_valore_ca\" value=\"p\"$checked_perc>$b_perc".mex("percentuale",$pag)."$slash_b_perc:
<input type=\"text\" name=\"valore_p_ca\" size=\"5\" maxlength=\"5\" value=\"$d_prezzo_percentuale\">
 ".mex("% su",$pag)."
 <select name=\"tipo_percentuale\">";
if ($d_tipo_percentuale == "p") $selected = " selected";
else $selected = "";
echo "<option value=\"tariffa\"$selected>".mex("la tariffa",$pag)."</option>";
if ($d_tipo_percentuale == "t") $selected = " selected";
else $selected = "";
echo "<option value=\"totale\"$selected>".mex("il prezzo totale",$pag)."</option>";
if ($d_tipo_percentuale == "c") $selected = " selected";
else $selected = "";
echo "<option value=\"caparra\"$selected>".mex("la caparra",$pag)."</option>";
if ($d_tipo_percentuale == "r") $selected = " selected";
else $selected = "";
echo "<option value=\"resto\"$selected>".mex("totale meno caparra",$pag)."</option>";
echo "</select> ".mex("arrotondato a",$pag)."
 <input type=\"text\" name=\"arrotonda_ca\" value=\"$d_arrotond\" size=\"5\">$Euro</td></tr>

<tr><td style=\"height: 2px;\"></td></tr>
<tr><td valign=\"top\">
".mex("Assegna automaticamente con le tariffe",$pag).":</td><td>";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = mex("tariffa",$pag)."$numtariffa $nometariffa";
if ($dati_ca[$num_costo]["tipo_associa_tariffa".$numtariffa]) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<table cellspacing=0 cellpadding=0><tr><td valign=\"middle\">
<input type=\"checkbox\" name=\"sel$tariffa\" value=\"s\"$checked>$b"."$nometariffa_vedi$b_slash</td>";
echo "<td>&nbsp;(<select name=\"minmax$tariffa\">";
if (!${"minmax".$tariffa}) $selected = " selected";
else $selected = "";
echo "<option value=\"\"$selected>----</option>";
if (substr($dati_ca[$num_costo]["tariffa".$numtariffa],0,1) == ">") $selected = " selected";
else $selected = "";
echo "<option value=\"min\"$selected>".mex("minimo",$pag)."</option>";
if (substr($dati_ca[$num_costo]["tariffa".$numtariffa],0,1) == "<") $selected = " selected";
else $selected = "";
echo "<option value=\"max\"$selected>".mex("massimo",$pag)."</option>";
if (substr($dati_ca[$num_costo]["tariffa".$numtariffa],0,1) == "=") $selected = " selected";
else $selected = "";
echo "<option value=\"eq\"$selected>".mex("esattamente",$pag)."</option>
</select>
<input type=\"text\" name=\"valminmax$tariffa\" value=\"".substr($dati_ca[$num_costo]["tariffa".$numtariffa],1)."\" size=\"3\">
".mex("$parola_settimane",$pag).")</td>";
if ($dati_ca[$num_costo]["tipo_associa_tariffa".$numtariffa] == "p") { $checked = " checked"; $b2 = $b; $b_slash2 = $b_slash; }
else { $checked = ""; $b2 = ""; $b_slash2 = ""; }
if (!$dati_ca[$num_costo]["tipo_associa_tariffa".$numtariffa]) $checked = " checked";
echo "<td>&nbsp;<input type=\"radio\" name=\"tipo_associa_tariffa$numtariffa\" value=\"p\"$checked> <small>$b2".mex("Se possibile",$pag)."$b_slash2</small></td>";
if ($dati_ca[$num_costo]["tipo_associa_tariffa".$numtariffa] == "r") { $checked = " checked"; $b2 = $b; $b_slash2 = $b_slash; }
else { $checked = ""; $b2 = ""; $b_slash2 = ""; }
echo "<td>&nbsp;<input type=\"radio\" name=\"tipo_associa_tariffa$numtariffa\" value=\"r\"$checked> <small>$b2".mex("Sempre in periodi permessi",$pag)."$b_slash2</small></td>";
if ($dati_ca[$num_costo]["tipo_associa_tariffa".$numtariffa] == "s") { $checked = " checked"; $b2 = $b; $b_slash2 = $b_slash; }
else { $checked = ""; $b2 = ""; $b_slash2 = ""; }
echo "<td>&nbsp;<input type=\"radio\" name=\"tipo_associa_tariffa$numtariffa\" value=\"s\"$checked> <small>$b2".mex("Sempre",$pag)."$b_slash2</small></td>";
echo "</tr><tr><td style=\"height: 5px;\"></td></tr></table>";
} # fine if ($attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
echo "</td></tr>

<tr><td colspan=\"2\"><small>";
if ($dati_ca[$num_costo][assegna_da_ini_prenota]) $checked = " checked";
else $checked = "";
if (substr($dati_ca[$num_costo][assegna_da_ini_prenota],0,1) != ">") { $sel_m = " selected"; $sel_p = ""; }
else { $sel_m = ""; $sel_p = " selected"; }
echo "<input type=\"checkbox\" name=\"assegna_da_giorno_ini\" value=\"s\"$checked>
".mex("Quando possibile assegna automaticamente se mancano",$pag)."
<select name=\"ass_gio_ini_segno\">
<option value=\"meno\"$sel_m>".mex("meno di",$pag)."</option>
<option value=\"piu\"$sel_p>".mex("più di",$pag)."</option>
</select>
<input type=\"text\" name=\"ass_gio_ini_num\" value=\"".substr($dati_ca[$num_costo][assegna_da_ini_prenota],1)."\" size=\"3\">
".mex("giorni dalla data iniziale della prenotazione quando viene inserita",$pag).".<br>";
if ($dati_ca[$num_costo][assegna_con_num_prenota]) $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"assegna_prenota_contemp\" value=\"s\"$checked>
".mex("Quando possibile assegna automaticamente se si inseriscono",$pag)."
<input type=\"text\" name=\"ass_pren_cont_num\" value=\"".$dati_ca[$num_costo][assegna_con_num_prenota]."\" size=\"3\">
".mex("o più prenotazioni contemporaneamente",$pag).".</small></td></tr>

<tr><td valign=\"top\">
".mex("Tariffe incompatibili",$pag).":</td><td>";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = mex("tariffa",$pag)."$numtariffa $nometariffa";
if ($dati_ca[$num_costo]["incomp_tariffa".$numtariffa] == "i") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"incomp_$tariffa\" value=\"i\"$checked>$b"."$nometariffa_vedi$b_slash<br>";
} # fine if ($attiva_tariffe_consentite == "n" or...
} # fine for $numtariffa
echo "</td></tr>

<tr><td valign=\"top\">
".mex("Numero di $parola_settimane",$pag).": <br><small>(".mex("solo per costi $parola_settimanali",$pag).")</small></td><td>
<table><tr><td>";
$numsett_ca = $dati_ca[$num_costo][numsett];
if ($numsett_ca == "t") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
if (!$numsett_ca) $checked = " checked";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"t\"$checked> $b".mex("Tutt$lettera_e",$pag)."$b_slash</td></tr>
<tr><td>";
if ($numsett_ca == "m") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"m\"$checked> $b".mex("Tutt$lettera_e meno",$pag)."$b_slash";
echo " <select name=\"pos_menouna\">";
if ($dati_ca[$num_costo][sett_meno_una] == "p") $selected = " selected";
else $selected = "";
echo "<option value=\"p\"$selected>".mex("$parola_la prim$lettera_a",$pag)."</option>";
if ($dati_ca[$num_costo][sett_meno_una] == "u") $selected = " selected";
else $selected = "";
echo "<option value=\"u\"$selected>".mex("l'ultim$lettera_a",$pag)."</option>";
echo "</select></td></tr>";
echo "<tr><td>";
if ($numsett_ca == "c") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"c\"$checked> $b".mex("Chiedere",$pag)."$b_slash</td></tr>
<tr><td>";
if ($numsett_ca == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
if ($numsett_ca == "s") {
$val1_prime_si = $dati_ca[$num_costo][num_sett_prime];
$val2_prime_si = $dati_ca[$num_costo][num_sett_seconde];
} # fine if ($numsett_ca == "s")
if (!$val1_prime_si) $val1_prime_si = "1";
if (!$val2_prime_si) $val2_prime_si = "1";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"s\"$checked>
 <input type=\"text\" name=\"val1_prime_si\" value=\"$val1_prime_si\" size=\"3\"> $b".mex("$parola_settimane sì",$pag)." ".mex("e",$pag)."$b_slash
 <input type=\"text\" name=\"val2_prime_si\" value=\"$val2_prime_si\" size=\"3\"> $b".mex("$parola_settimane no",$pag)."$b_slash</td></tr>
<tr><td>";
if ($numsett_ca == "n") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
if ($numsett_ca == "n") {
$val1_prime_no = $dati_ca[$num_costo][num_sett_prime];
$val2_prime_no = $dati_ca[$num_costo][num_sett_seconde];
} # fine if ($numsett_ca == "n")
if (!$val1_prime_no) $val1_prime_no = "1";
if (!$val2_prime_no) $val2_prime_no = "1";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"n\"$checked>
 <input type=\"text\" name=\"val1_prime_no\" value=\"$val1_prime_no\" size=\"3\"> $b".mex("$parola_settimane no",$pag)." ".mex("e",$pag)."$b_slash
 <input type=\"text\" name=\"val2_prime_no\" value=\"$val2_prime_no\" size=\"3\"> $b".mex("$parola_settimane sì",$pag)."$b_slash</td></tr>
<tr><td>";
if ($tipo_periodi == "g") {
if ($numsett_ca == "g") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"g\"$checked> $b".mex("Giorni della settimana selezionati",$pag)."$b_slash:<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
$gio = $dati_ca[$num_costo][giornisett];
if (str_replace("1","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"lun_sel\" value=\"s\"$checked>$b".mex("Lunedì",$pag)."$b_slash&nbsp;&nbsp;&nbsp;";
if (str_replace("2","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"mar_sel\" value=\"s\"$checked>$b".mex("Martedì",$pag)."$b_slash<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if (str_replace("3","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"mer_sel\" value=\"s\"$checked>$b".mex("Mercoledì",$pag)."$b_slash&nbsp;&nbsp;&nbsp;";
if (str_replace("4","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"gio_sel\" value=\"s\"$checked>$b".mex("Giovedì",$pag)."$b_slash<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if (str_replace("5","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"ven_sel\" value=\"s\"$checked>$b".mex("Venerdì",$pag)."$b_slash&nbsp;&nbsp;&nbsp;";
if (str_replace("6","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"sab_sel\" value=\"s\"$checked>$b".mex("Sabato",$pag)."$b_slash<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if (str_replace("7","",$gio) != $gio) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"checkbox\" name=\"dom_sel\" value=\"s\"$checked>$b".mex("Domenica",$pag)."$b_slash</td></tr>";
} # fine if ($tipo_periodi == "g")
echo "</table></td></tr>

<tr><td colspan=\"2\">
".mex("Associare a specifi$sillaba_che $parola_settimane della prenotazione",$pag)."?";
echo " <select name=\"associasett\">";
if ($dati_ca[$num_costo][associasett] == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>";
if ($dati_ca[$num_costo][associasett] == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>
</select></td></tr>

<tr><td style=\"height: 1px;\"></td></tr><tr><td valign=\"top\">
".mex("Moltiplicare il costo per",$pag).":</td><td>
<table><tr><td>";
$moltiplica_ca = $dati_ca[$num_costo][moltiplica];
if ($moltiplica_ca == "1") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"1\"$checked> $b".mex("Uno",$pag)."$b_slash</td></tr>
<tr><td>";
if ($moltiplica_ca == "c") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"c\"$checked> $b".mex("Chiedere",$pag)."$b_slash</td></tr>
<tr><td>";
if ($moltiplica_ca == "p") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"p\"$checked> $b".mex("Numero di persone",$pag)."$b_slash (".mex("escluse quelle dei costi con letti aggiuntivi",$pag).")</td></tr>
<tr><td>";
if ($moltiplica_ca == "t") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"t\"$checked> $b".mex("Numero di persone totale",$pag)."$b_slash</td></tr>
</table></td></tr>

<tr><td style=\"height: 1px;\"></td></tr><tr><td valign=\"top\">
".mex("Periodi in cui è permesso<br> inserire il costo",$pag).":</td><td>
<table><tr><td>";
$periodi_permessi = $dati_ca[$num_costo][periodipermessi];
if (!$periodi_permessi) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"periodi_permessi\" value=\"tutti\"$checked> $b".mex("In tutti",$pag)."$b_slash</td></tr>
<tr><td>";
if ($periodi_permessi) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"periodi_permessi\" value=\"sel\"$checked> $b".mex("Solo nei periodi selezionati",$pag)."$b_slash:</td><td>";
if (!$num_periodi_permessi_sel) $num_periodi_permessi_sel = count($dati_ca[$num_costo][sett_periodipermessi_ini]);
if (!$num_periodi_permessi_sel) $num_periodi_permessi_sel = 1;
if ($aggiungi_periodo_permesso) $num_periodi_permessi_sel++;
if ($elimina_periodo_permesso) $num_periodi_permessi_sel--;
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
if ($num1 > 1) echo "<tr><td></td><td>";
if (!${"pp_dal".$num1} and $num1 <= count($dati_ca[$num_costo][sett_periodipermessi_ini])) {
${"pp_dal".$num1} = esegui_query("select datainizio from $tableperiodi where idperiodi = '".$dati_ca[$num_costo][sett_periodipermessi_ini][($num1 - 1)]."'");
if (numlin_query(${"pp_dal".$num1}) == 1) ${"pp_dal".$num1} = risul_query(${"pp_dal".$num1},0,datainizio);
} # fine if (!${"pp_dal".$num1} and...
echo mex("dal",$pag)."</td><td>";
mostra_menu_date("./dati/selectperiodi$anno.1.php","pp_dal$num1",${"pp_dal".$num1},"","",$id_utente,$tema);
echo "</td><td>";
if (!${"pp_al".$num1} and $num1 <= count($dati_ca[$num_costo][sett_periodipermessi_ini])) {
${"pp_al".$num1} = esegui_query("select datafine from $tableperiodi where idperiodi = '".$dati_ca[$num_costo][sett_periodipermessi_fine][($num1 - 1)]."'");
if (numlin_query(${"pp_al".$num1}) == 1) ${"pp_al".$num1} = risul_query(${"pp_al".$num1},0,datafine);
} # fine if (!${"pp_al".$num1} and...
echo mex("al",$pag)."</td><td>";
mostra_menu_date("./dati/selectperiodi$anno.1.php","pp_al$num1",${"pp_al".$num1},"","",$id_utente,$tema);
if ($num1 == $num_periodi_permessi_sel) {
if ($num1 > 1) echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"elimina_periodo_permesso\" value=\"".mex("Elimina un periodo",$pag)."\"></td></tr><tr><td colspan=\"4\"></td><td>";
echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"aggiungi_periodo_permesso\" value=\"".mex("Aggiungi un periodo",$pag)."\">";
} # fine if ($num1 == $num_periodi_permessi_sel)
echo "</td></tr>";
} # fine for $num1
echo "</table>
<input type=\"hidden\" name=\"num_periodi_permessi_sel\" value=\"$num_periodi_permessi_sel\">
<table><tr><td style=\"width: 50px;\"></td><td>";
if ($periodi_permessi == "t") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
if (!$periodi_permessi) $checked = " checked";
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"t\"$checked> $b".mex("se tutt$lettera_e $parola_le $parola_settimane della prenotazione sono all'interno dei periodi selezionati",$pag)."$b_slash</td></tr>
<tr><td></td><td>";
if ($periodi_permessi == "u") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"u\"$checked> $b".mex("se anche un$lettera_a2 sol$lettera_a $parola_settimana della prenotazione è all'interno dei periodi selezionati",$pag)."$b_slash</td></tr>";
echo "<tr><td></td><td>";
if ($periodi_permessi == "p") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"p\"$checked> $b".mex("applicare il costo solo in $parola_settimane permess$lettera_e all'interno della prenotazione",$pag)."$b_slash</td></tr>";
echo "</table></td></tr>

<tr><td style=\"height: 1px;\"></td></tr><tr><td valign=\"top\">
".mex("Caratteristiche del costo<br> da mantenere quando si<br> modifica una prenotazione",$pag).":</td><td>
<table>";
if ($dati_ca[$num_costo][var_percentuale] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_percentuale\" value=\"s\"$checked>
$b".mex("Valore percentuale",$pag)."$b_slash (".mex("e settimane associate",$pag).")</td></tr>";
if ($dati_ca[$num_costo][var_numsett] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_numsett\" value=\"s\"$checked>
$b".mex("Assegnazione $parola_settimane",$pag)."$b_slash</td></tr>";
if ($dati_ca[$num_costo][var_moltiplica] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_moltiplica\" value=\"s\"$checked>
$b".mex("Numero per cui viene moltiplicato",$pag)."$b_slash</td></tr>";
if ($dati_ca[$num_costo][var_periodip] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_periodip\" value=\"s\"$checked>
$b".mex("Periodi permessi",$pag)."$b_slash</td></tr>";
if ($dati_ca[$num_costo][var_tariffea] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_tariffea\" value=\"s\"$checked>
$b".mex("Associazione alle tariffe",$pag)."$b_slash</td></tr>";
if ($dati_ca[$num_costo][var_tariffei] == "s") { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<tr><td><input type=\"checkbox\" name=\"mantenere_tariffei\" value=\"s\"$checked>
$b".mex("Tariffe incompatibili",$pag)."$b_slash</td></tr>
</table></td></tr>

<tr><td style=\"height: 1px;\"></td></tr>
</table>
".mex("Mostrare nella pagina di inserimento delle prenotazioni",$pag)."?
 <select name=\"mostra_ca\">";
if ($dati_ca[$num_costo][mostra] == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>";
if ($dati_ca[$num_costo][mostra] == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>
</select><br><br>";
echo mex("Considerare il costo come letto/i aggiuntivo/i",$pag)."?
 <select name=\"letto_ca\">";
if ($dati_ca[$num_costo][letto] == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>";
if ($dati_ca[$num_costo][letto] == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>
</select><br><br>";
echo "<table><tr><td valign=\"top\">".mex("Limitarne il numero che è possibile avere contemporaneamente in uno stesso periodo",$pag)."?</td>
<td style=\"width: 110px;\">";
if (!$dati_ca[$num_costo][numlimite]) $numlimite_ca = "1";
else $numlimite_ca = $dati_ca[$num_costo][numlimite];
if (!$dati_ca[$num_costo][numlimite]) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"limite_ca\" value=\"n\"$checked> $b".mex("No",$pag)."$b_slash<br>";
if ($dati_ca[$num_costo][numlimite]) { $checked = " checked"; $b = "<b>"; $b_slash = "</b>"; }
else { $checked = ""; $b = ""; $b_slash = ""; }
echo "<input type=\"radio\" name=\"limite_ca\" value=\"s\"$checked> $b".mex("Si",$pag)."$b_slash:
<input type=\"text\" name=\"numlimite_ca\" value=\"$numlimite_ca\" size=\"4\">
</td></tr></table>

<br><br><div style=\"text-align: center;\">
<input class=\"sbutton\" id=\"modi\" type=\"submit\" name=\"modifica_costo\" value=\"".mex("Modifica il costo",$pag)."\">
</div></div></form><br>
<div style=\"text-align: center;\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php#tab_costi_agg\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
<input class=\"sbutton\" id=\"indi\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</div></form></div>
<table><tr><td style=\"height: 20px;\"></td></tr></table>";

} # fine if ($mostra_form_iniziale != "NO")


} # fine if ($num_costo != "")
else {
echo mex("Il costo è stato cancellato",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php#tab_costi_agg\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</div></form></div>
<table><tr><td style=\"height: 20px;\"></td></tr></table>";
} # fine else if ($dati_ca[id][$idntariffe] != "")



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");



} # fine if ($anno_utente_attivato == "SI" and $priv_mod_costi_agg != "n")
} # fine if ($id_utente)



?>
